Package org.opensaml.xmlsec.agreement

# Class KeyAgreementParameters

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractSet<T>
net.shibboleth.shared.collection.ClassIndexedSet<KeyAgreementParameter>
org.opensaml.xmlsec.agreement.KeyAgreementParameters

All Implemented Interfaces:
  `Iterable<KeyAgreementParameter>`, `Collection<KeyAgreementParameter>`, `Set<KeyAgreementParameter>`

public class KeyAgreementParameters extends ClassIndexedSet<KeyAgreementParameter>
Specialized collection type for holding sets of parameters to key agreement operations.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.shared.collection.ClassIndexedSet

`ClassIndexedSet.ClassIndexedSetIterator`

## Constructor Summary

Constructors
Constructor
Description
`KeyAgreementParameters()`
Constructor.
`KeyAgreementParameters(Collection<KeyAgreementParameter> source)`
Copy constructor.
`KeyAgreementParameters(Collection<KeyAgreementParameter> source, boolean clone)`
Copy constructor with parameter clone option.

## Method Summary

Modifier and Type
Method
Description
`void`
`initializeAll()`
A convenience method for initializing all parameters which are initializable.

### Methods inherited from class net.shibboleth.shared.collection.ClassIndexedSet

`add, add, clear, contains, equals, get, getIndexClass, hashCode, iterator, remove, size, toString`

### Methods inherited from class java.util.AbstractSet

`removeAll`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, retainAll, toArray, toArray`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`addAll, contains, containsAll, isEmpty, removeAll, retainAll, spliterator, toArray, toArray`

## Constructor Details

### KeyAgreementParameters

public KeyAgreementParameters()
Constructor.

### KeyAgreementParameters

public KeyAgreementParameters(@Nonnull Collection<KeyAgreementParameter> source)
Copy constructor.

Parameters:
  `source` - the source set from which to copy

### KeyAgreementParameters

public KeyAgreementParameters(@Nonnull Collection<KeyAgreementParameter> source, boolean clone)
Copy constructor with parameter clone option.

Parameters:
  `source` - the source set from which to copy
  `clone` - if true each parameter which is a `CloneableKeyAgreementParameter` will be cloned before being added

## Method Details

### initializeAll

public void initializeAll() throws KeyAgreementException
A convenience method for initializing all parameters which are initializable.

Throws:
  `KeyAgreementException` - if any parameters fail initialization